### Function

# FwupdPlugin input_stream_compute_sum8

since: 2.0.0

#### Declaration [src]

    gboolean
    fu_input_stream_compute_sum8 (
      GInputStream* stream,
      guint8* value,
      GError** error
    )

#### Description [src]

Returns the arithmetic sum of all bytes in the stream.

Available since: 2.0.0

#### Parameters

`stream`

  Type: `GInputStream`

  A `GInputStream`.

  The data is owned by the caller of the function.

`value`

  Type: `guint8*`

  Value.

  The argument will be set by the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` for success.